<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Wijzig een nieuwsbericht</h1>";
if ($aangemeld == "ja")
{
	if (!ISSET($_GET['ref']))
	{
		$ref = "new";
	}
	else
	{
		$ref = $_GET['ref'];
	}
	if (($member_status == "manager") or ($member_status == "staff"))
	{
		if (ISSET($_GET['titel']))
		{
			action("wijzigt een nieuwsbericht");
			$news_id = $_GET['id'];
			$titel = $_GET['titel'];
			$inhoud = $_GET['inhoud'];
			$datum = date("d.m.Y H:i");
			$poster = $_SESSION['naam'];
			$inhoud = $inhoud.'\n\n';
			$inhoud = $inhoud."Gewijzigd door <a href=\'profiel.php?naam=".$poster."\'>".$poster."</a> op ".$datum;
			mysql_query("UPDATE nieuwscontent SET titel='".$titel."', inhoud='".$inhoud."' WHERE id='".$news_id."'");
			echo "Even geduld a.u.b...";
			if ($ref == "new")
			{
				echo "<meta http-equiv=\"refresh\" content='1;url=news.php'>";
			}
			else
			{
				echo "<meta http-equiv=\"refresh\" content='1;url=news.php?see=archief'>";
			}
		}
		else
		{
			action("begint met het wijzigen van een nieuwsbericht");
			$titel = halen("SELECT titel FROM nieuwscontent WHERE id='".$_GET['id']."';");
			$inhoud = halen("SELECT inhoud FROM nieuwscontent WHERE id='".$_GET['id']."';");
			echo "<form name='add' action='?' method='get'>";
			echo "<table border='0'><tr><td valign='top'>";
			echo "Titel: ";
			echo "</td><td>";
			echo" <input type='text' name='titel' size='73' value='".$titel."'>";
			echo "</td></tr><tr><td valign='top'>Bericht: </td><td>";
			echo "<textarea name='inhoud' rows='10' cols='55'>".$inhoud."</textarea>";
			echo "</td></tr><tr><td></td><td>";
			echo "<input type='hidden' name='id' value='".$_GET['id']."'>";
			echo "<input type='hidden' name='ref' value='".$ref."'>";
			echo "<input type='submit' value='Klaar'>";
			echo "</td></tr></table>";
			echo "</form>";
		}
	}
	else
	{
		action("probeert zonder rechten een nieuwsbericht te wijzigen");
		echo "Oeps! Hiervoor moet je <b>Hotel Manager</b> of <b>Staff Lid</b> zijn.";	
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>